Belirtilen parametrelerle yeni bir Batch hesabı oluşturur. Mevcut hesaplar bu API ile güncelleştirilemez ve bunun yerine Toplu Hesap Güncelleştirme API'siyle güncelleştirilmelidir.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Batch/batchAccounts/{accountName}?api-version=2025-06-01
URI Parametreleri
| Name |
İçinde |
Gerekli |
Tür |
Description |
|
accountName
|
path |
True
|
string
minLength: 3 maxLength: 24 pattern: ^[a-zA-Z0-9]+$
|
Bölgede benzersiz olması gereken Batch hesabı için bir isim. Toplu hesap isimleri 3 ile 24 karakter arasında uzun olmalı ve yalnızca numaralar ile küçük harfler kullanılmalıdır. Bu isim, hesabın oluşturulduğu bölgedeki Batch hizmetine erişmek için kullanılan DNS adının bir parçası olarak kullanılır. Örneğin: http://accountname.region.batch.azure.com/.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Bu işlem için kullanılacak API sürümü.
|
İstek Gövdesi
| Name |
Gerekli |
Tür |
Description |
|
location
|
True
|
string
|
Hesabın oluşturulacağı bölge.
|
|
identity
|
|
BatchAccountIdentity
|
Batch hesabının kimliği.
|
|
properties.allowedAuthenticationModes
|
|
AuthenticationMode[]
|
Veri düzlemi ile kimlik doğrulaması yapmak için kullanılabilecek Batch hesabı için izin verilen kimlik doğrulama modlarının listesi. Bu, denetim düzlemi ile kimlik doğrulamasını etkilemez.
|
|
properties.autoStorage
|
|
AutoStorageBaseProperties
|
Otomatik depolama hesabıyla ilgili özellikler.
|
|
properties.encryption
|
|
EncryptionProperties
|
Batch hesabının şifreleme yapılandırması.
Müşteri verilerinin Batch hesabı içinde nasıl şifrelenmesini yapılandırılır. Varsayılan olarak, hesaplar Microsoft tarafından yönetilen anahtar kullanılarak şifrelenir. Ek denetim için bunun yerine müşteri tarafından yönetilen bir anahtar kullanılabilir.
|
|
properties.keyVaultReference
|
|
KeyVaultReference
|
Batch hesabıyla ilişkili Azure anahtar kasasına başvuru.
|
|
properties.networkProfile
|
|
NetworkProfile
|
Her uç nokta için ağ kuralı ayarlarını içeren Batch hesabı için ağ profili.
Ağ profili yalnızca publicNetworkAccess etkinleştirildiğinde etkinleşir.
|
|
properties.poolAllocationMode
|
|
PoolAllocationMode
|
Batch hesabında havuz oluşturmak için kullanılacak ayırma modu.
Havuz ayırma modu, istemcilerin Batch Hizmeti API'sinde kimlik doğrulamasını da etkiler. Mod BatchService ise, istemciler erişim anahtarlarını veya Microsoft Entra Kimliğini kullanarak kimlik doğrulaması yapabilir. Mod UserSubscription ise, istemcilerin Microsoft Entra Id kullanması gerekir. Varsayılan değer BatchService'tir.
|
|
properties.publicNetworkAccess
|
|
PublicNetworkAccessType
|
Azure Batch hesabına erişmek için ağ erişim türü.
Batch hesabındaki kaynaklar üzerinde çalışacak ağ erişim türü.
|
|
tags
|
|
object
|
Hesapla ilişkilendirilmiş kullanıcı tarafından belirtilen etiketler.
|
Yanıtlar
| Name |
Tür |
Description |
|
200 OK
|
BatchAccount
|
Kaynak 'BatchAccount' güncelleme işlemi başarılı oldu
|
|
202 Accepted
|
|
Kaynak işlemi kabul edildi.
Üst Bilgiler
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
CloudError
|
Beklenmeyen bir hata yanıtı.
|
Güvenlik
azure_auth
Azure Active Directory OAuth2 akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name |
Description |
|
user_impersonation
|
kullanıcı hesabınızın kimliğine bürünme
|
Örnekler
BatchAccountCreate_BYOS
Örnek isteği
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct?api-version=2025-06-01
{
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/"
},
"poolAllocationMode": "UserSubscription"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.batch import BatchManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-batch
# USAGE
python batch_account_create_byos.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BatchManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.batch_account.begin_create(
resource_group_name="default-azurebatch-japaneast",
account_name="sampleacct",
parameters={
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/",
},
"poolAllocationMode": "UserSubscription",
},
},
).result()
print(response)
# x-ms-original-file: 2025-06-01/BatchAccountCreate_BYOS.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbatch_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/batch/armbatch/v4"
)
// Generated from example definition: 2025-06-01/BatchAccountCreate_BYOS.json
func ExampleAccountClient_BeginCreate_batchAccountCreateByos() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbatch.NewClientFactory("12345678-1234-1234-1234-123456789012", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewAccountClient().BeginCreate(ctx, "default-azurebatch-japaneast", "sampleacct", armbatch.AccountCreateParameters{
Location: to.Ptr("japaneast"),
Properties: &armbatch.AccountCreateProperties{
AutoStorage: &armbatch.AutoStorageBaseProperties{
StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
},
KeyVaultReference: &armbatch.KeyVaultReference{
ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"),
URL: to.Ptr("http://sample.vault.azure.net/"),
},
PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeUserSubscription),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armbatch.AccountClientCreateResponse{
// Account: &armbatch.Account{
// Name: to.Ptr("sampleacct"),
// Type: to.Ptr("Microsoft.Batch/batchAccounts"),
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct"),
// Identity: &armbatch.AccountIdentity{
// Type: to.Ptr(armbatch.ResourceIdentityTypeNone),
// },
// Location: to.Ptr("japaneast"),
// Properties: &armbatch.AccountProperties{
// AccountEndpoint: to.Ptr("sampleacct.japaneast.batch.azure.com"),
// ActiveJobAndJobScheduleQuota: to.Ptr[int32](20),
// AutoStorage: &armbatch.AutoStorageProperties{
// LastKeySync: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2016-03-10T23:48:38.9878479Z"); return t}()),
// StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
// },
// DedicatedCoreQuota: to.Ptr[int32](20),
// KeyVaultReference: &armbatch.KeyVaultReference{
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"),
// URL: to.Ptr("http://sample.vault.azure.net/"),
// },
// LowPriorityCoreQuota: to.Ptr[int32](20),
// PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeUserSubscription),
// PoolQuota: to.Ptr[int32](20),
// ProvisioningState: to.Ptr(armbatch.ProvisioningStateSucceeded),
// PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeEnabled),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BatchManagementClient } = require("@azure/arm-batch");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
*
* @summary creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
* x-ms-original-file: 2025-06-01/BatchAccountCreate_BYOS.json
*/
async function batchAccountCreateByos() {
const credential = new DefaultAzureCredential();
const subscriptionId = "12345678-1234-1234-1234-123456789012";
const client = new BatchManagementClient(credential, subscriptionId);
const result = await client.batchAccount.create("default-azurebatch-japaneast", "sampleacct", {
location: "japaneast",
autoStorage: {
storageAccountId:
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage",
},
keyVaultReference: {
id: "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
url: "http://sample.vault.azure.net/",
},
poolAllocationMode: "UserSubscription",
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Batch.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Batch;
// Generated from example definition: specification/batch/resource-manager/Microsoft.Batch/Batch/stable/2025-06-01/examples/BatchAccountCreate_BYOS.json
// this example is just showing the usage of "BatchAccount_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "12345678-1234-1234-1234-123456789012";
string resourceGroupName = "default-azurebatch-japaneast";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this BatchAccountResource
BatchAccountCollection collection = resourceGroupResource.GetBatchAccounts();
// invoke the operation
string accountName = "sampleacct";
BatchAccountCreateOrUpdateContent content = new BatchAccountCreateOrUpdateContent(new AzureLocation("japaneast"))
{
AutoStorage = new BatchAccountAutoStorageBaseConfiguration(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage")),
PoolAllocationMode = BatchAccountPoolAllocationMode.UserSubscription,
KeyVaultReference = new BatchKeyVaultReference(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"), new Uri("http://sample.vault.azure.net/")),
};
ArmOperation<BatchAccountResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, accountName, content);
BatchAccountResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
BatchAccountData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "sampleacct",
"type": "Microsoft.Batch/batchAccounts",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct",
"identity": {
"type": "None"
},
"location": "japaneast",
"properties": {
"accountEndpoint": "sampleacct.japaneast.batch.azure.com",
"activeJobAndJobScheduleQuota": 20,
"autoStorage": {
"lastKeySync": "2016-03-10T23:48:38.9878479Z",
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"dedicatedCoreQuota": 20,
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/"
},
"lowPriorityCoreQuota": 20,
"poolAllocationMode": "UserSubscription",
"poolQuota": 20,
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
}
}
BatchAccountCreate_Default
Örnek isteği
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct?api-version=2025-06-01
{
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.batch import BatchManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-batch
# USAGE
python batch_account_create_default.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BatchManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.batch_account.begin_create(
resource_group_name="default-azurebatch-japaneast",
account_name="sampleacct",
parameters={
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
},
},
).result()
print(response)
# x-ms-original-file: 2025-06-01/BatchAccountCreate_Default.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbatch_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/batch/armbatch/v4"
)
// Generated from example definition: 2025-06-01/BatchAccountCreate_Default.json
func ExampleAccountClient_BeginCreate_batchAccountCreateDefault() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbatch.NewClientFactory("12345678-1234-1234-1234-123456789012", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewAccountClient().BeginCreate(ctx, "default-azurebatch-japaneast", "sampleacct", armbatch.AccountCreateParameters{
Location: to.Ptr("japaneast"),
Properties: &armbatch.AccountCreateProperties{
AutoStorage: &armbatch.AutoStorageBaseProperties{
StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armbatch.AccountClientCreateResponse{
// Account: &armbatch.Account{
// Name: to.Ptr("sampleacct"),
// Type: to.Ptr("Microsoft.Batch/batchAccounts"),
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct"),
// Identity: &armbatch.AccountIdentity{
// Type: to.Ptr(armbatch.ResourceIdentityTypeNone),
// },
// Location: to.Ptr("japaneast"),
// Properties: &armbatch.AccountProperties{
// AccountEndpoint: to.Ptr("sampleacct.japaneast.batch.azure.com"),
// ActiveJobAndJobScheduleQuota: to.Ptr[int32](20),
// AutoStorage: &armbatch.AutoStorageProperties{
// LastKeySync: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2016-03-10T23:48:38.9878479Z"); return t}()),
// StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
// },
// DedicatedCoreQuota: to.Ptr[int32](20),
// LowPriorityCoreQuota: to.Ptr[int32](20),
// PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeBatchService),
// PoolQuota: to.Ptr[int32](20),
// ProvisioningState: to.Ptr(armbatch.ProvisioningStateSucceeded),
// PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeEnabled),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BatchManagementClient } = require("@azure/arm-batch");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
*
* @summary creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
* x-ms-original-file: 2025-06-01/BatchAccountCreate_Default.json
*/
async function batchAccountCreateDefault() {
const credential = new DefaultAzureCredential();
const subscriptionId = "12345678-1234-1234-1234-123456789012";
const client = new BatchManagementClient(credential, subscriptionId);
const result = await client.batchAccount.create("default-azurebatch-japaneast", "sampleacct", {
location: "japaneast",
autoStorage: {
storageAccountId:
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage",
},
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Batch.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Batch;
// Generated from example definition: specification/batch/resource-manager/Microsoft.Batch/Batch/stable/2025-06-01/examples/BatchAccountCreate_Default.json
// this example is just showing the usage of "BatchAccount_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "12345678-1234-1234-1234-123456789012";
string resourceGroupName = "default-azurebatch-japaneast";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this BatchAccountResource
BatchAccountCollection collection = resourceGroupResource.GetBatchAccounts();
// invoke the operation
string accountName = "sampleacct";
BatchAccountCreateOrUpdateContent content = new BatchAccountCreateOrUpdateContent(new AzureLocation("japaneast"))
{
AutoStorage = new BatchAccountAutoStorageBaseConfiguration(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage")),
};
ArmOperation<BatchAccountResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, accountName, content);
BatchAccountResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
BatchAccountData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "sampleacct",
"type": "Microsoft.Batch/batchAccounts",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct",
"identity": {
"type": "None"
},
"location": "japaneast",
"properties": {
"accountEndpoint": "sampleacct.japaneast.batch.azure.com",
"activeJobAndJobScheduleQuota": 20,
"autoStorage": {
"lastKeySync": "2016-03-10T23:48:38.9878479Z",
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"dedicatedCoreQuota": 20,
"lowPriorityCoreQuota": 20,
"poolAllocationMode": "BatchService",
"poolQuota": 20,
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
}
}
BatchAccountCreate_SystemAssignedIdentity
Örnek isteği
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct?api-version=2025-06-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.batch import BatchManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-batch
# USAGE
python batch_account_create_system_assigned_identity.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BatchManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.batch_account.begin_create(
resource_group_name="default-azurebatch-japaneast",
account_name="sampleacct",
parameters={
"identity": {"type": "SystemAssigned"},
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
},
},
).result()
print(response)
# x-ms-original-file: 2025-06-01/BatchAccountCreate_SystemAssignedIdentity.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbatch_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/batch/armbatch/v4"
)
// Generated from example definition: 2025-06-01/BatchAccountCreate_SystemAssignedIdentity.json
func ExampleAccountClient_BeginCreate_batchAccountCreateSystemAssignedIdentity() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbatch.NewClientFactory("12345678-1234-1234-1234-123456789012", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewAccountClient().BeginCreate(ctx, "default-azurebatch-japaneast", "sampleacct", armbatch.AccountCreateParameters{
Identity: &armbatch.AccountIdentity{
Type: to.Ptr(armbatch.ResourceIdentityTypeSystemAssigned),
},
Location: to.Ptr("japaneast"),
Properties: &armbatch.AccountCreateProperties{
AutoStorage: &armbatch.AutoStorageBaseProperties{
StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armbatch.AccountClientCreateResponse{
// Account: &armbatch.Account{
// Name: to.Ptr("sampleacct"),
// Type: to.Ptr("Microsoft.Batch/batchAccounts"),
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct"),
// Identity: &armbatch.AccountIdentity{
// Type: to.Ptr(armbatch.ResourceIdentityTypeSystemAssigned),
// PrincipalID: to.Ptr("1a2e532b-9900-414c-8600-cfc6126628d7"),
// TenantID: to.Ptr("f686d426-8d16-42db-81b7-ab578e110ccd"),
// },
// Location: to.Ptr("japaneast"),
// Properties: &armbatch.AccountProperties{
// AccountEndpoint: to.Ptr("sampleacct.japaneast.batch.azure.com"),
// ActiveJobAndJobScheduleQuota: to.Ptr[int32](20),
// AutoStorage: &armbatch.AutoStorageProperties{
// LastKeySync: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2016-03-10T23:48:38.9878479Z"); return t}()),
// StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
// },
// DedicatedCoreQuota: to.Ptr[int32](20),
// LowPriorityCoreQuota: to.Ptr[int32](20),
// PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeBatchService),
// PoolQuota: to.Ptr[int32](20),
// ProvisioningState: to.Ptr(armbatch.ProvisioningStateSucceeded),
// PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeEnabled),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BatchManagementClient } = require("@azure/arm-batch");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
*
* @summary creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
* x-ms-original-file: 2025-06-01/BatchAccountCreate_SystemAssignedIdentity.json
*/
async function batchAccountCreateSystemAssignedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "12345678-1234-1234-1234-123456789012";
const client = new BatchManagementClient(credential, subscriptionId);
const result = await client.batchAccount.create("default-azurebatch-japaneast", "sampleacct", {
identity: { type: "SystemAssigned" },
location: "japaneast",
autoStorage: {
storageAccountId:
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage",
},
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Batch.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Batch;
// Generated from example definition: specification/batch/resource-manager/Microsoft.Batch/Batch/stable/2025-06-01/examples/BatchAccountCreate_SystemAssignedIdentity.json
// this example is just showing the usage of "BatchAccount_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "12345678-1234-1234-1234-123456789012";
string resourceGroupName = "default-azurebatch-japaneast";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this BatchAccountResource
BatchAccountCollection collection = resourceGroupResource.GetBatchAccounts();
// invoke the operation
string accountName = "sampleacct";
BatchAccountCreateOrUpdateContent content = new BatchAccountCreateOrUpdateContent(new AzureLocation("japaneast"))
{
Identity = new ManagedServiceIdentity("SystemAssigned"),
AutoStorage = new BatchAccountAutoStorageBaseConfiguration(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage")),
};
ArmOperation<BatchAccountResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, accountName, content);
BatchAccountResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
BatchAccountData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "sampleacct",
"type": "Microsoft.Batch/batchAccounts",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct",
"identity": {
"type": "SystemAssigned",
"principalId": "1a2e532b-9900-414c-8600-cfc6126628d7",
"tenantId": "f686d426-8d16-42db-81b7-ab578e110ccd"
},
"location": "japaneast",
"properties": {
"accountEndpoint": "sampleacct.japaneast.batch.azure.com",
"activeJobAndJobScheduleQuota": 20,
"autoStorage": {
"lastKeySync": "2016-03-10T23:48:38.9878479Z",
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"dedicatedCoreQuota": 20,
"lowPriorityCoreQuota": 20,
"poolAllocationMode": "BatchService",
"poolQuota": 20,
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
}
}
BatchAccountCreate_UserAssignedIdentity
Örnek isteği
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct?api-version=2025-06-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {}
}
},
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.batch import BatchManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-batch
# USAGE
python batch_account_create_user_assigned_identity.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BatchManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.batch_account.begin_create(
resource_group_name="default-azurebatch-japaneast",
account_name="sampleacct",
parameters={
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {}
},
},
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
}
},
},
).result()
print(response)
# x-ms-original-file: 2025-06-01/BatchAccountCreate_UserAssignedIdentity.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbatch_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/batch/armbatch/v4"
)
// Generated from example definition: 2025-06-01/BatchAccountCreate_UserAssignedIdentity.json
func ExampleAccountClient_BeginCreate_batchAccountCreateUserAssignedIdentity() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbatch.NewClientFactory("12345678-1234-1234-1234-123456789012", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewAccountClient().BeginCreate(ctx, "default-azurebatch-japaneast", "sampleacct", armbatch.AccountCreateParameters{
Identity: &armbatch.AccountIdentity{
Type: to.Ptr(armbatch.ResourceIdentityTypeUserAssigned),
UserAssignedIdentities: map[string]*armbatch.UserAssignedIdentities{
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {},
},
},
Location: to.Ptr("japaneast"),
Properties: &armbatch.AccountCreateProperties{
AutoStorage: &armbatch.AutoStorageBaseProperties{
StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armbatch.AccountClientCreateResponse{
// Account: &armbatch.Account{
// Name: to.Ptr("sampleacct"),
// Type: to.Ptr("Microsoft.Batch/batchAccounts"),
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct"),
// Identity: &armbatch.AccountIdentity{
// Type: to.Ptr(armbatch.ResourceIdentityTypeUserAssigned),
// UserAssignedIdentities: map[string]*armbatch.UserAssignedIdentities{
// "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": &armbatch.UserAssignedIdentities{
// ClientID: to.Ptr("clientId1"),
// PrincipalID: to.Ptr("principalId1"),
// },
// },
// },
// Location: to.Ptr("japaneast"),
// Properties: &armbatch.AccountProperties{
// AccountEndpoint: to.Ptr("sampleacct.japaneast.batch.azure.com"),
// ActiveJobAndJobScheduleQuota: to.Ptr[int32](20),
// AutoStorage: &armbatch.AutoStorageProperties{
// LastKeySync: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2016-03-10T23:48:38.9878479Z"); return t}()),
// StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
// },
// DedicatedCoreQuota: to.Ptr[int32](20),
// LowPriorityCoreQuota: to.Ptr[int32](20),
// PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeBatchService),
// PoolQuota: to.Ptr[int32](20),
// ProvisioningState: to.Ptr(armbatch.ProvisioningStateSucceeded),
// PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeEnabled),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BatchManagementClient } = require("@azure/arm-batch");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
*
* @summary creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
* x-ms-original-file: 2025-06-01/BatchAccountCreate_UserAssignedIdentity.json
*/
async function batchAccountCreateUserAssignedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "12345678-1234-1234-1234-123456789012";
const client = new BatchManagementClient(credential, subscriptionId);
const result = await client.batchAccount.create("default-azurebatch-japaneast", "sampleacct", {
identity: {
type: "UserAssigned",
userAssignedIdentities: {
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1":
{},
},
},
location: "japaneast",
autoStorage: {
storageAccountId:
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage",
},
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Batch.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Batch;
// Generated from example definition: specification/batch/resource-manager/Microsoft.Batch/Batch/stable/2025-06-01/examples/BatchAccountCreate_UserAssignedIdentity.json
// this example is just showing the usage of "BatchAccount_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "12345678-1234-1234-1234-123456789012";
string resourceGroupName = "default-azurebatch-japaneast";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this BatchAccountResource
BatchAccountCollection collection = resourceGroupResource.GetBatchAccounts();
// invoke the operation
string accountName = "sampleacct";
BatchAccountCreateOrUpdateContent content = new BatchAccountCreateOrUpdateContent(new AzureLocation("japaneast"))
{
Identity = new ManagedServiceIdentity("UserAssigned")
{
UserAssignedIdentities =
{
[new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1")] = new UserAssignedIdentity()
},
},
AutoStorage = new BatchAccountAutoStorageBaseConfiguration(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage")),
};
ArmOperation<BatchAccountResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, accountName, content);
BatchAccountResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
BatchAccountData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "sampleacct",
"type": "Microsoft.Batch/batchAccounts",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {
"clientId": "clientId1",
"principalId": "principalId1"
}
}
},
"location": "japaneast",
"properties": {
"accountEndpoint": "sampleacct.japaneast.batch.azure.com",
"activeJobAndJobScheduleQuota": 20,
"autoStorage": {
"lastKeySync": "2016-03-10T23:48:38.9878479Z",
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"dedicatedCoreQuota": 20,
"lowPriorityCoreQuota": 20,
"poolAllocationMode": "BatchService",
"poolQuota": 20,
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled"
}
}
PrivateBatchAccountCreate
Örnek isteği
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct?api-version=2025-06-01
{
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/"
},
"publicNetworkAccess": "Disabled"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.batch import BatchManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-batch
# USAGE
python private_batch_account_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BatchManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.batch_account.begin_create(
resource_group_name="default-azurebatch-japaneast",
account_name="sampleacct",
parameters={
"location": "japaneast",
"properties": {
"autoStorage": {
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/",
},
"publicNetworkAccess": "Disabled",
},
},
).result()
print(response)
# x-ms-original-file: 2025-06-01/PrivateBatchAccountCreate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbatch_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/batch/armbatch/v4"
)
// Generated from example definition: 2025-06-01/PrivateBatchAccountCreate.json
func ExampleAccountClient_BeginCreate_privateBatchAccountCreate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbatch.NewClientFactory("12345678-1234-1234-1234-123456789012", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewAccountClient().BeginCreate(ctx, "default-azurebatch-japaneast", "sampleacct", armbatch.AccountCreateParameters{
Location: to.Ptr("japaneast"),
Properties: &armbatch.AccountCreateProperties{
AutoStorage: &armbatch.AutoStorageBaseProperties{
StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
},
KeyVaultReference: &armbatch.KeyVaultReference{
ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"),
URL: to.Ptr("http://sample.vault.azure.net/"),
},
PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeDisabled),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armbatch.AccountClientCreateResponse{
// Account: &armbatch.Account{
// Name: to.Ptr("sampleacct"),
// Type: to.Ptr("Microsoft.Batch/batchAccounts"),
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct"),
// Identity: &armbatch.AccountIdentity{
// Type: to.Ptr(armbatch.ResourceIdentityTypeNone),
// },
// Location: to.Ptr("japaneast"),
// Properties: &armbatch.AccountProperties{
// AccountEndpoint: to.Ptr("sampleacct.japaneast.batch.azure.com"),
// ActiveJobAndJobScheduleQuota: to.Ptr[int32](20),
// AutoStorage: &armbatch.AutoStorageProperties{
// LastKeySync: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2016-03-10T23:48:38.9878479Z"); return t}()),
// StorageAccountID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"),
// },
// DedicatedCoreQuota: to.Ptr[int32](20),
// KeyVaultReference: &armbatch.KeyVaultReference{
// ID: to.Ptr("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"),
// URL: to.Ptr("http://sample.vault.azure.net/"),
// },
// LowPriorityCoreQuota: to.Ptr[int32](20),
// PoolAllocationMode: to.Ptr(armbatch.PoolAllocationModeUserSubscription),
// PoolQuota: to.Ptr[int32](20),
// ProvisioningState: to.Ptr(armbatch.ProvisioningStateSucceeded),
// PublicNetworkAccess: to.Ptr(armbatch.PublicNetworkAccessTypeDisabled),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BatchManagementClient } = require("@azure/arm-batch");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
*
* @summary creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.
* x-ms-original-file: 2025-06-01/PrivateBatchAccountCreate.json
*/
async function privateBatchAccountCreate() {
const credential = new DefaultAzureCredential();
const subscriptionId = "12345678-1234-1234-1234-123456789012";
const client = new BatchManagementClient(credential, subscriptionId);
const result = await client.batchAccount.create("default-azurebatch-japaneast", "sampleacct", {
location: "japaneast",
autoStorage: {
storageAccountId:
"/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage",
},
keyVaultReference: {
id: "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
url: "http://sample.vault.azure.net/",
},
publicNetworkAccess: "Disabled",
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Batch.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Batch;
// Generated from example definition: specification/batch/resource-manager/Microsoft.Batch/Batch/stable/2025-06-01/examples/PrivateBatchAccountCreate.json
// this example is just showing the usage of "BatchAccount_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "12345678-1234-1234-1234-123456789012";
string resourceGroupName = "default-azurebatch-japaneast";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this BatchAccountResource
BatchAccountCollection collection = resourceGroupResource.GetBatchAccounts();
// invoke the operation
string accountName = "sampleacct";
BatchAccountCreateOrUpdateContent content = new BatchAccountCreateOrUpdateContent(new AzureLocation("japaneast"))
{
AutoStorage = new BatchAccountAutoStorageBaseConfiguration(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage")),
KeyVaultReference = new BatchKeyVaultReference(new ResourceIdentifier("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample"), new Uri("http://sample.vault.azure.net/")),
PublicNetworkAccess = BatchPublicNetworkAccess.Disabled,
};
ArmOperation<BatchAccountResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, accountName, content);
BatchAccountResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
BatchAccountData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "sampleacct",
"type": "Microsoft.Batch/batchAccounts",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct",
"identity": {
"type": "None"
},
"location": "japaneast",
"properties": {
"accountEndpoint": "sampleacct.japaneast.batch.azure.com",
"activeJobAndJobScheduleQuota": 20,
"autoStorage": {
"lastKeySync": "2016-03-10T23:48:38.9878479Z",
"storageAccountId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Storage/storageAccounts/samplestorage"
},
"dedicatedCoreQuota": 20,
"keyVaultReference": {
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.KeyVault/vaults/sample",
"url": "http://sample.vault.azure.net/"
},
"lowPriorityCoreQuota": 20,
"poolAllocationMode": "UserSubscription",
"poolQuota": 20,
"provisioningState": "Succeeded",
"publicNetworkAccess": "Disabled"
}
}
Tanımlar
AuthenticationMode
Numaralandırma
Batch hesabının kimlik doğrulama modu.
| Değer |
Description |
|
SharedKey
|
Paylaşılan anahtarları kullanan kimlik doğrulama modu.
|
|
AAD
|
Microsoft Entra Kimliğini kullanan kimlik doğrulama modu.
|
|
TaskAuthenticationToken
|
Görev kimlik doğrulama belirteçlerini kullanan kimlik doğrulama modu.
|
AutoStorageAuthenticationMode
Numaralandırma
Batch hizmetinin otomatik depolama hesabını yönetmek için kullanacağı kimlik doğrulama modu.
| Değer |
Description |
|
StorageKeys
|
Batch hizmeti, depolama hesabı anahtarlarını kullanarak otomatik depolama isteklerinin kimliğini doğrular.
|
|
BatchAccountManagedIdentity
|
Batch hizmeti, Batch hesabına atanan yönetilen kimliği kullanarak otomatik depolama isteklerinin kimliğini doğrular.
|
AutoStorageBaseProperties
Nesne
Otomatik depolama hesabıyla ilgili özellikler.
| Name |
Tür |
Default value |
Description |
|
authenticationMode
|
AutoStorageAuthenticationMode
|
StorageKeys
|
Batch hizmetinin otomatik depolama hesabını yönetmek için kullanacağı kimlik doğrulama modu.
|
|
nodeIdentityReference
|
ComputeNodeIdentityReference
|
|
İşlem düğümlerinin otomatik depolamaya erişmek için kullanacağı kullanıcı tarafından atanan kimliğe başvuru.
Burada başvurulan kimlik, otomatik depolamaya erişmesi gereken işlem düğümlerine sahip havuzlara atanmalıdır.
|
|
storageAccountId
|
string
(arm-id)
|
|
Otomatik depolama hesabı için kullanılacak depolama hesabının kaynak kimliği.
|
AutoStorageProperties
Nesne
Batch hesabıyla ilişkili otomatik depolama hesabı hakkında bilgi içerir.
| Name |
Tür |
Default value |
Description |
|
authenticationMode
|
AutoStorageAuthenticationMode
|
StorageKeys
|
Batch hizmetinin otomatik depolama hesabını yönetmek için kullanacağı kimlik doğrulama modu.
|
|
lastKeySync
|
string
(date-time)
|
|
Depolama anahtarlarının Batch hesabıyla en son eşitlendiği UTC saati.
|
|
nodeIdentityReference
|
ComputeNodeIdentityReference
|
|
İşlem düğümlerinin otomatik depolamaya erişmek için kullanacağı kullanıcı tarafından atanan kimliğe başvuru.
Burada başvurulan kimlik, otomatik depolamaya erişmesi gereken işlem düğümlerine sahip havuzlara atanmalıdır.
|
|
storageAccountId
|
string
(arm-id)
|
|
Otomatik depolama hesabı için kullanılacak depolama hesabının kaynak kimliği.
|
BatchAccount
Nesne
Azure Batch hesabı hakkında bilgi içerir.
| Name |
Tür |
Default value |
Description |
|
id
|
string
(arm-id)
|
|
Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
identity
|
BatchAccountIdentity
|
|
Batch hesabının kimliği.
|
|
location
|
string
|
|
Kaynağın bulunduğu coğrafi konum
|
|
name
|
string
|
|
Kaynağın adı
|
|
properties.accountEndpoint
|
string
|
|
Batch hizmetiyle etkileşimde bulunurken kullanılan hesap uç noktası.
|
|
properties.activeJobAndJobScheduleQuota
|
integer
(int32)
|
|
Batch hesabı için etkin iş ve iş zamanlama kotası.
Batch hesabı için etkin iş ve iş zamanlama kotası.
|
|
properties.allowedAuthenticationModes
|
AuthenticationMode[]
|
|
Veri düzlemi ile kimlik doğrulaması yapmak için kullanılabilecek Batch hesabı için izin verilen kimlik doğrulama modlarının listesi. Bu, denetim düzlemi ile kimlik doğrulamasını etkilemez.
|
|
properties.autoStorage
|
AutoStorageProperties
|
|
Batch hesabıyla ilişkilendirilmiş herhangi bir otomatik depolama hesabının özellikleri ve durumu.
Batch hesabıyla ilişkili otomatik depolama hesabı hakkında bilgi içerir.
|
|
properties.dedicatedCoreQuota
|
integer
(int32)
|
|
Batch hesabı için ayrılmış çekirdek kotası.
PoolAllocationMode'un UserSubscription olarak ayarlandığı hesaplar için abonelikte kota yönetilir, bu nedenle bu değer döndürülür.
|
|
properties.dedicatedCoreQuotaPerVMFamily
|
VirtualMachineFamilyCoreQuota[]
|
|
Batch hesabı için Sanal Makine ailesi başına ayrılmış çekirdek kotanın listesi. PoolAllocationMode'un UserSubscription olarak ayarlandığı hesaplar için abonelikte kota yönetilir, bu nedenle bu değer döndürülür.
|
|
properties.dedicatedCoreQuotaPerVMFamilyEnforced
|
boolean
|
|
Sanal Makine ailesi başına çekirdek kotaların bu hesap için zorunlu kılınıp uygulanmadığını gösteren değer
Bu bayrak true ise, ayrılmış çekirdek kotası hesapta hem dedicatedCoreQuotaPerVMFamily hem de dedicatedCoreQuota özellikleri aracılığıyla zorlanır. Bu bayrak false ise, ayrılmış çekirdek kotası yalnızca hesapta dedicatedCoreQuota özelliği aracılığıyla zorlanır ve Virtual Machine ailesini dikkate almaz.
|
|
properties.encryption
|
EncryptionProperties
|
|
Batch hesabının şifreleme yapılandırması.
Müşteri verilerinin Batch hesabı içinde nasıl şifrelenmesini yapılandırılır. Varsayılan olarak, hesaplar Microsoft tarafından yönetilen anahtar kullanılarak şifrelenir. Ek denetim için bunun yerine müşteri tarafından yönetilen bir anahtar kullanılabilir.
|
|
properties.keyVaultReference
|
KeyVaultReference
|
|
Batch hesabıyla ilişkili Azure anahtar kasasına başvuru.
Batch hesabıyla ilişkili Azure anahtar kasasını tanımlar.
|
|
properties.lowPriorityCoreQuota
|
integer
(int32)
|
|
Batch hesabı için Spot/düşük öncelikli çekirdek kotası.
PoolAllocationMode'un UserSubscription olarak ayarlandığı hesaplar için abonelikte kota yönetilir, bu nedenle bu değer döndürülür.
|
|
properties.networkProfile
|
NetworkProfile
|
|
Her uç nokta için ağ kuralı ayarlarını içeren Batch hesabı için ağ profili.
Ağ profili yalnızca publicNetworkAccess etkinleştirildiğinde etkinleşir.
|
|
properties.nodeManagementEndpoint
|
string
|
|
İşlem düğümü tarafından Batch düğümü yönetim hizmetine bağlanmak için kullanılan uç nokta.
|
|
properties.poolAllocationMode
|
PoolAllocationMode
|
|
Batch hesabında havuz oluşturmak için kullanılacak ayırma modu.
Batch hesabında havuz oluşturmak için ayırma modu.
|
|
properties.poolQuota
|
integer
(int32)
|
|
Batch hesabının havuz kotası.
Batch hesabının havuz kotası.
|
|
properties.privateEndpointConnections
|
PrivateEndpointConnection[]
|
|
Batch hesabıyla ilişkilendirilmiş özel uç nokta bağlantılarının listesi
|
|
properties.provisioningState
|
ProvisioningState
|
|
Kaynağın sağlanan durumu
|
|
properties.publicNetworkAccess
|
PublicNetworkAccessType
|
Enabled
|
Azure Batch hizmetine ve Batch hesabı işlemlerine erişmek için ağ arabirimi türü.
Batch hesabındaki kaynaklar üzerinde çalışacak ağ erişim türü.
|
|
systemData
|
systemData
|
|
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.
|
|
tags
|
object
|
|
Kaynak etiketleri.
|
|
type
|
string
|
|
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"
|
BatchAccountCreateParameters
Nesne
Oluşturma işlemine sağlanan parametreler.
| Name |
Tür |
Default value |
Description |
|
identity
|
BatchAccountIdentity
|
|
Batch hesabının kimliği.
|
|
location
|
string
|
|
Hesabın oluşturulacağı bölge.
|
|
properties.allowedAuthenticationModes
|
AuthenticationMode[]
|
|
Veri düzlemi ile kimlik doğrulaması yapmak için kullanılabilecek Batch hesabı için izin verilen kimlik doğrulama modlarının listesi. Bu, denetim düzlemi ile kimlik doğrulamasını etkilemez.
|
|
properties.autoStorage
|
AutoStorageBaseProperties
|
|
Otomatik depolama hesabıyla ilgili özellikler.
|
|
properties.encryption
|
EncryptionProperties
|
|
Batch hesabının şifreleme yapılandırması.
Müşteri verilerinin Batch hesabı içinde nasıl şifrelenmesini yapılandırılır. Varsayılan olarak, hesaplar Microsoft tarafından yönetilen anahtar kullanılarak şifrelenir. Ek denetim için bunun yerine müşteri tarafından yönetilen bir anahtar kullanılabilir.
|
|
properties.keyVaultReference
|
KeyVaultReference
|
|
Batch hesabıyla ilişkili Azure anahtar kasasına başvuru.
|
|
properties.networkProfile
|
NetworkProfile
|
|
Her uç nokta için ağ kuralı ayarlarını içeren Batch hesabı için ağ profili.
Ağ profili yalnızca publicNetworkAccess etkinleştirildiğinde etkinleşir.
|
|
properties.poolAllocationMode
|
PoolAllocationMode
|
|
Batch hesabında havuz oluşturmak için kullanılacak ayırma modu.
Havuz ayırma modu, istemcilerin Batch Hizmeti API'sinde kimlik doğrulamasını da etkiler. Mod BatchService ise, istemciler erişim anahtarlarını veya Microsoft Entra Kimliğini kullanarak kimlik doğrulaması yapabilir. Mod UserSubscription ise, istemcilerin Microsoft Entra Id kullanması gerekir. Varsayılan değer BatchService'tir.
|
|
properties.publicNetworkAccess
|
PublicNetworkAccessType
|
Enabled
|
Azure Batch hesabına erişmek için ağ erişim türü.
Batch hesabındaki kaynaklar üzerinde çalışacak ağ erişim türü.
|
|
tags
|
object
|
|
Hesapla ilişkilendirilmiş kullanıcı tarafından belirtilen etiketler.
|
BatchAccountIdentity
Nesne
Yapılandırıldıysa Batch hesabının kimliği. Bu, kullanıcı Batch hesabı şifreleme yapılandırması olarak 'Microsoft.KeyVault' belirttiğinde veya otomatik depolama kimlik doğrulama modu olarak ManagedIdentity seçildiğinde kullanılır.
| Name |
Tür |
Description |
|
principalId
|
string
|
Batch hesabının asıl kimliği. Bu özellik yalnızca sistem tarafından atanan kimlik için sağlanacaktır.
|
|
tenantId
|
string
|
Batch hesabıyla ilişkili kiracı kimliği. Bu özellik yalnızca sistem tarafından atanan kimlik için sağlanacaktır.
|
|
type
|
ResourceIdentityType
|
Batch hesabı için kullanılan kimlik türü.
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentities>
|
Batch hesabıyla ilişkilendirilmiş kullanıcı kimliklerinin listesi.
|
CloudError
Nesne
Batch hizmetinden bir hata yanıtı.
CloudErrorBody
Nesne
Batch hizmetinden bir hata yanıtı.
| Name |
Tür |
Description |
|
code
|
string
|
Hatanın tanımlayıcısı. Kodlar sabittir ve program aracılığıyla kullanılması amaçlanmıştır.
|
|
details
|
CloudErrorBody[]
|
Hatayla ilgili ek ayrıntıların listesi.
|
|
message
|
string
|
Hatayı açıklayan ve kullanıcı arabiriminde görüntülenmeye uygun olması amaçlanan bir ileti.
|
|
target
|
string
|
Belirli bir hatanın hedefi. Örneğin, özelliğin adı hatalı.
|
ComputeNodeIdentityReference
Nesne
İşlem düğümlerinin kullanacağı Batch havuzuyla ilişkili kullanıcı tarafından atanan kimliğe başvuru.
| Name |
Tür |
Description |
|
resourceId
|
string
|
Kullanıcı tarafından atanan kimliğin ARM kaynak kimliği.
|
createdByType
Numaralandırma
Kaynağı oluşturan kimliğin türü.
| Değer |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
EncryptionProperties
Nesne
Müşteri verilerinin Batch hesabı içinde nasıl şifrelenmesini yapılandırılır. Varsayılan olarak, hesaplar Microsoft tarafından yönetilen anahtar kullanılarak şifrelenir. Ek denetim için bunun yerine müşteri tarafından yönetilen bir anahtar kullanılabilir.
| Name |
Tür |
Description |
|
keySource
|
KeySource
|
Anahtar kaynağının türü.
|
|
keyVaultProperties
|
KeyVaultProperties
|
Microsoft.KeyVault kullanırken ek ayrıntılar
|
EndpointAccessDefaultAction
Numaralandırma
Uç nokta erişimi için varsayılan eylem. Yalnızca publicNetworkAccess etkinleştirildiğinde geçerlidir.
| Değer |
Description |
|
Allow
|
İstemci erişimine izin ver.
|
|
Deny
|
İstemci erişimini reddet.
|
EndpointAccessProfile
Nesne
Batch uç noktası için ağ erişim profili.
| Name |
Tür |
Description |
|
defaultAction
|
EndpointAccessDefaultAction
|
Eşleşen IPRule olmadığında varsayılan eylem.
Uç nokta erişimi için varsayılan eylem. Yalnızca publicNetworkAccess etkinleştirildiğinde geçerlidir.
|
|
ipRules
|
IPRule[]
|
İstemci IP adresini filtrelemek için IP aralıkları dizisi.
|
IPRule
Nesne
İstemci IP adresini filtreleme kuralı.
| Name |
Tür |
Description |
|
action
|
IPRuleAction
|
İstemci IP adresi eşleştirildiğinde eylem.
|
|
value
|
string
|
Filtre uygulamak için IP adresi veya IP adresi aralığı
IPv4 adresi veya CIDR biçiminde IPv4 adres aralığı.
|
IPRuleAction
Numaralandırma
İstemci IP adresi eşleştiğinde yapılan eylem.
| Değer |
Description |
|
Allow
|
Eşleşen istemci IP adresi için erişime izin verin.
|
KeySource
Numaralandırma
Anahtar kaynağının türü.
| Değer |
Description |
|
Microsoft.Batch
|
Batch, hesap verilerini korumak için kullanılan şifreleme anahtarlarını oluşturur ve yönetir.
|
|
Microsoft.KeyVault
|
Hesap verilerini korumak için kullanılan şifreleme anahtarları bir dış anahtar kasasında depolanır. Bu ayarlıysa Batch Hesabı kimliği SystemAssigned olarak ayarlanmalıdır ve keyVaultProperties altında da geçerli bir Anahtar Tanımlayıcısı sağlanmalıdır.
|
KeyVaultProperties
Nesne
Microsoft.KeyVault'un şifreleme KeySource'u kullanılırken KeyVault yapılandırması.
| Name |
Tür |
Description |
|
keyIdentifier
|
string
|
Sürümlü veya sürümsüz gizli diziye tam yol. Örnek https://mykeyvault.vault.azure.net/keys/testkey/6e34a81fef704045975661e297a4c053. veya https://mykeyvault.vault.azure.net/keys/testkey. Kullanılabilir olmak için aşağıdaki önkoşulların karşılanması gerekir:
Batch Hesabı sistem tarafından atanan bir kimliğe sahip Hesap kimliğine Anahtar/Alma, Anahtar/Sarmayı Kaldırma ve Anahtar/Sarmalama izinleri verildi KeyVault geçici silme ve temizleme koruması etkinleştirildi
|
KeyVaultReference
Nesne
Batch hesabıyla ilişkili Azure anahtar kasasını tanımlar.
| Name |
Tür |
Description |
|
id
|
string
(arm-id)
|
Batch hesabıyla ilişkili Azure anahtar kasasının kaynak kimliği.
|
|
url
|
string
|
Batch hesabıyla ilişkili Azure anahtar kasasının URL'si.
|
NetworkProfile
Nesne
Her uç nokta için ağ kuralı ayarlarını içeren Batch hesabı için ağ profili.
| Name |
Tür |
Description |
|
accountAccess
|
EndpointAccessProfile
|
batchAccount uç noktası için ağ erişim profili (Batch hesabı veri düzlemi API'si).
|
|
nodeManagementAccess
|
EndpointAccessProfile
|
nodeManagement uç noktası için ağ erişim profili (Batch havuzları için işlem düğümlerini yöneten Batch hizmeti).
|
PoolAllocationMode
Numaralandırma
Batch hesabında havuz oluşturmak için ayırma modu.
| Değer |
Description |
|
BatchService
|
Havuzlar Batch hizmetine ait aboneliklerde ayrılır.
|
|
UserSubscription
|
Havuzlar, kullanıcıya ait bir abonelikte ayrılır.
|
PrivateEndpoint
Nesne
Özel uç nokta bağlantısının özel uç noktası.
| Name |
Tür |
Description |
|
id
|
string
|
Özel uç noktanın ARM kaynak tanımlayıcısı. Bu, /subscriptions/{subscription}/resourceGroups/{group}/providers/Microsoft.Network/privateEndpoints/{privateEndpoint} biçimindedir.
Özel uç noktanın ARM kaynak tanımlayıcısı. Bu, /subscriptions/{subscription}/resourceGroups/{group}/providers/Microsoft.Network/privateEndpoints/{privateEndpoint} biçimindedir.
|
PrivateEndpointConnection
Nesne
Özel bağlantı kaynağı hakkında bilgi içerir.
| Name |
Tür |
Description |
|
etag
|
string
|
Eşzamanlılık deyimleri için kullanılan kaynağın ETag'i.
|
|
id
|
string
(arm-id)
|
Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Kaynağın adı
|
|
properties.groupIds
|
string[]
|
Özel uç nokta bağlantısının grup kimliği.
Değerin bir ve yalnızca bir grup kimliği vardır.
|
|
properties.privateEndpoint
|
PrivateEndpoint
|
Özel uç noktanın ARM kaynak tanımlayıcısı.
Özel uç nokta bağlantısının özel uç noktası.
|
|
properties.privateLinkServiceConnectionState
|
PrivateLinkServiceConnectionState
|
Özel uç nokta bağlantısının özel bağlantı hizmeti bağlantı durumu.
Özel uç nokta bağlantısının özel bağlantı hizmeti bağlantı durumu.
|
|
properties.provisioningState
|
PrivateEndpointConnectionProvisioningState
|
Özel uç nokta bağlantısının sağlama durumu.
Özel uç nokta bağlantısının sağlama durumu.
|
|
systemData
|
systemData
|
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.
|
|
tags
|
object
|
Kaynağın etiketleri.
|
|
type
|
string
|
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"
|
PrivateEndpointConnectionProvisioningState
Numaralandırma
Özel uç nokta bağlantısının sağlama durumu.
| Değer |
Description |
|
Creating
|
Bağlantı oluşturuluyor.
|
|
Updating
|
Kullanıcı bağlantı durumunun güncelleştirilmesi için istekte bulundu, ancak güncelleştirme işlemi henüz tamamlanmadı. Batch hesabını bağlarken bağlantıya başvuramayasınız.
|
|
Deleting
|
Bağlantı siliniyor.
|
|
Succeeded
|
Bağlantı durumu sondur ve Durum Onaylandı ise kullanıma hazırdır.
|
|
Failed
|
Kullanıcı bağlantının güncelleştirilip başarısız olmasını istedi. Güncelleştirme işlemini yeniden deneyebilirsiniz.
|
|
Cancelled
|
Kullanıcı bağlantı oluşturmayı iptal etti.
|
PrivateLinkServiceConnectionState
Nesne
Özel uç nokta bağlantısının özel bağlantı hizmeti bağlantı durumu
| Name |
Tür |
Description |
|
actionsRequired
|
string
|
Özel bağlantı durumunda eylem gerekiyor
Özel bağlantı durumunda eylem gerekiyor
|
|
description
|
string
|
Özel Bağlantı durumunun açıklaması
Özel Bağlantı durumunun açıklaması
|
|
status
|
PrivateLinkServiceConnectionStatus
|
Batch özel uç nokta bağlantısının durumu
Batch özel uç nokta bağlantısının durumu
|
PrivateLinkServiceConnectionStatus
Numaralandırma
Batch özel uç nokta bağlantısının durumu
| Değer |
Description |
|
Approved
|
Özel uç nokta bağlantısı onaylanır ve Batch hesabına erişmek için kullanılabilir
|
|
Pending
|
Özel uç nokta bağlantısı bekliyor ve Batch hesabına erişmek için kullanılamaz
|
|
Rejected
|
Özel uç nokta bağlantısı reddedilir ve Batch hesabına erişmek için kullanılamaz
|
|
Disconnected
|
Özel uç nokta bağlantısının bağlantısı kesildi ve Batch hesabına erişmek için kullanılamaz
|
ProvisioningState
Numaralandırma
Kaynağın sağlanan durumu
| Değer |
Description |
|
Invalid
|
Hesap geçersiz durumda.
|
|
Creating
|
Hesap oluşturuluyor.
|
|
Deleting
|
Hesap siliniyor.
|
|
Succeeded
|
Hesap oluşturuldu ve kullanıma hazır.
|
|
Failed
|
Hesap için son işlem başarısız oldu.
|
|
Cancelled
|
Hesap için son işlem iptal edildi.
|
PublicNetworkAccessType
Numaralandırma
Azure Batch hizmetine ve Batch hesabı işlemlerine erişmek için ağ arabirimi türü.
| Değer |
Description |
|
Enabled
|
Genel DNS aracılığıyla Azure Batch'e bağlantıyı etkinleştirir.
|
|
Disabled
|
Genel bağlantıyı devre dışı bırakır ve özel uç nokta kaynağı üzerinden Azure Batch Service'e özel bağlantı sağlar.
|
|
SecuredByPerimeter
|
NSP yapılandırması aracılığıyla Azure Batch bağlantısının güvenliğini sağlar.
|
ResourceIdentityType
Numaralandırma
Batch hesabı için kullanılan kimlik türü.
| Değer |
Description |
|
SystemAssigned
|
Batch hesabının sistem tarafından atanmış bir kimliği vardır.
|
|
UserAssigned
|
Batch hesabında kullanıcı tarafından atanmış kimlikler vardır.
|
|
None
|
Batch hesabının kendisiyle ilişkilendirilmiş kimliği yok. Güncelleştirme hesabında None ayarı mevcut kimlikleri kaldırır.
|
systemData
Nesne
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name |
Tür |
Description |
|
createdAt
|
string
(date-time)
|
Kaynak oluşturma (UTC) zaman damgası.
|
|
createdBy
|
string
|
Kaynağı oluşturan kimlik.
|
|
createdByType
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
lastModifiedAt
|
string
(date-time)
|
Kaynağın son değişikliğinin zaman damgası (UTC)
|
|
lastModifiedBy
|
string
|
Kaynağı en son değiştiren kimlik.
|
|
lastModifiedByType
|
createdByType
|
Kaynağı en son değiştiren kimlik türü.
|
UserAssignedIdentities
Nesne
İlişkili kullanıcı kimliklerinin listesi.
| Name |
Tür |
Description |
|
clientId
|
string
|
Kullanıcı tarafından atanan kimliğin istemci kimliği.
|
|
principalId
|
string
|
Kullanıcı tarafından atanan kimliğin asıl kimliği.
|
VirtualMachineFamilyCoreQuota
Nesne
Batch hesabı için bir VM Ailesi ve ilişkili çekirdek kotası.
| Name |
Tür |
Description |
|
coreQuota
|
integer
(int32)
|
Batch hesabı için VM ailesinin çekirdek kotası.
|
|
name
|
string
|
Sanal Makine ailesi adı.
|